package com.chenyang.druid.sql.dialect.oracle.ast.stmt;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.oracle.visitor.OracleASTVisitor;

public class OracleRaiseStatement extends OracleStatementImpl {
   private SQLExpr exception;

   public SQLExpr getException() {
      return this.exception;
   }

   public void setException(SQLExpr exception) {
      this.exception = exception;
   }

   public void accept0(OracleASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.exception);
      }

      visitor.endVisit(this);
   }
}
